Summary: Very high level scripting language with X interface
Name: python
Version: 1.5.1
Release: 1
Copyright: distributable
Group: Development/Languages/Python
Source0: http://www.python.org/ftp/python/src/pyth151.tgz 
Patch0: python-1.5.1-setup.patch
Patch1: python-1.5.1-makefile.patch
Patch2: python-1.5.1-poundbang.patch
BuildRoot: /tmp/python-1.5.1-1

%description
Python in an interpreted, object orientated scripting language. If contains
support for dynamic loading of objects, classes, modules, and exceptions.
Adding interfaces to new system libraries through C code is straightforward,
making Python easy to use in custom settings.

Due to numerous improvements, Python 1.5 runs nearly twice as fast as
Python 1.4.  This Python package includes most of the standard Python
modules, along with modules for interfacing to the Tix widget set for
Tk and RPM.  Note that it has been compiled with threads support built
in, using glibc's threads support.

%package extralibs
Summary: Extra Python libraries.
Requires: python = 1.5.1
Group: Development/Languages/Python

%description extralibs
This includes several Python libraries whose inclusion in the default
package would be rather excessive (specifically, the modules which the
Python distribution does not compile and install by default).

%package devel
Summary: Libraries and header files for building python code
Requires: python = 1.5.1
Group: Development/Languages/Python

%description devel
The Python interpreter is relatively easy to extend with dynamically loaded
extensions and to embed in other programs. This packages contains the
header files and libraries which are needed to do both of these tasks.

%package stdwin
Summary: GUI interface for Python
Group: Development/Languages/Python
Requires: python

%description stdwin
These python source files provide suppport for Python's "stdwin"
standard windowing interface, for writing graphical interfaces
portable across several of the platforms on which Python runs.

%package -n tkinter
Summary: GUI interface for Python
Group: Development/Languages/Python
Requires: python
Requires: libtcl8.0.so libtk8.0.so

%description -n tkinter
A graphical interface for Python, based on Tcl/Tk, and used by many of
the configuration tools.

%prep
%setup -n Python-1.5.1
%patch0 -p1 -b .orig0
%patch1 -p1 -b .orig1
%patch2 -p1 -b .orig2

echo ': ${LDSHARED='gcc -shared'}' > config.cache
echo ': ${LINKFORSHARED='-rdynamic'}' >> config.cache
echo ': ${CCSHARED='-fPIC'}' >> config.cache


%build
MACHDEP=linux-$RPM_ARCH ./configure --prefix=/usr --with-thread
LDFLAGS=-s CFLAGS="$RPM_OPT_FLAGS" make


%install
for D in bin man lib
do	if test ! -e $RPM_BUILD_ROOT/usr/$$D
	then	mkdir -p $RPM_BUILD_ROOT/usr/$$D
	fi
done

rm -rf $RPM_BUILD_ROOT/usr/lib/python1.5
make prefix=$RPM_BUILD_ROOT/usr exec_prefix=$RPM_BUILD_ROOT/usr install
strip $RPM_BUILD_ROOT/usr/bin/python1.5

rm -rf $RPM_BUILD_ROOT/usr/doc/python-1.5
mkdir -p $RPM_BUILD_ROOT/usr/doc/python-1.5
for f in ACKS BLURB COPYRIGHT HISTORY HYPE NEWS RENAME cheatsheet comparisons
do
	install -m 644 Misc/$f $RPM_BUILD_ROOT/usr/doc/python-1.5
done

mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/
cp Misc/python-mode.el $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/

%files
%attr(-,root,root) /usr/bin/python
%attr(-,root,root) /usr/bin/python1.5
%attr(-,root,root) /usr/man/man1/python.1
%attr(-,root,root) %dir /usr/lib/python1.5
%attr(-,root,root) %docdir /usr/doc/python-1.5
%attr(-,root,root) /usr/share/emacs/site-lisp/python-mode.el

%attr(-,root,root) %dir /usr/lib/python1.5/lib-dynload
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/arraymodule.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/binascii.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/cPickle.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/cStringIO.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/cmathmodule.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/cryptmodule.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/errnomodule.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/fcntlmodule.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/grpmodule.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/mathmodule.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/md5module.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/operator.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/parsermodule.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/pwdmodule.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/readline.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/rotormodule.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/selectmodule.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/socketmodule.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/stropmodule.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/structmodule.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/timemodule.so

%attr(-,root,root) /usr/lib/python1.5/BaseHTTPServer.py
%attr(-,root,root) /usr/lib/python1.5/BaseHTTPServer.pyc
%attr(-,root,root) /usr/lib/python1.5/BaseHTTPServer.pyo
%attr(-,root,root) /usr/lib/python1.5/Bastion.py
%attr(-,root,root) /usr/lib/python1.5/Bastion.pyc
%attr(-,root,root) /usr/lib/python1.5/Bastion.pyo
%attr(-,root,root) /usr/lib/python1.5/CGIHTTPServer.py
%attr(-,root,root) /usr/lib/python1.5/CGIHTTPServer.pyc
%attr(-,root,root) /usr/lib/python1.5/CGIHTTPServer.pyo
%attr(-,root,root) /usr/lib/python1.5/ConfigParser.py
%attr(-,root,root) /usr/lib/python1.5/ConfigParser.pyc
%attr(-,root,root) /usr/lib/python1.5/ConfigParser.pyo
%attr(-,root,root) /usr/lib/python1.5/MimeWriter.py
%attr(-,root,root) /usr/lib/python1.5/MimeWriter.pyc
%attr(-,root,root) /usr/lib/python1.5/MimeWriter.pyo
%attr(-,root,root) /usr/lib/python1.5/Queue.py
%attr(-,root,root) /usr/lib/python1.5/Queue.pyc
%attr(-,root,root) /usr/lib/python1.5/Queue.pyo
%attr(-,root,root) /usr/lib/python1.5/SimpleHTTPServer.py
%attr(-,root,root) /usr/lib/python1.5/SimpleHTTPServer.pyc
%attr(-,root,root) /usr/lib/python1.5/SimpleHTTPServer.pyo
%attr(-,root,root) /usr/lib/python1.5/SocketServer.py
%attr(-,root,root) /usr/lib/python1.5/SocketServer.pyc
%attr(-,root,root) /usr/lib/python1.5/SocketServer.pyo
%attr(-,root,root) /usr/lib/python1.5/StringIO.py
%attr(-,root,root) /usr/lib/python1.5/StringIO.pyc
%attr(-,root,root) /usr/lib/python1.5/StringIO.pyo
%attr(-,root,root) /usr/lib/python1.5/UserDict.py
%attr(-,root,root) /usr/lib/python1.5/UserDict.pyc
%attr(-,root,root) /usr/lib/python1.5/UserDict.pyo
%attr(-,root,root) /usr/lib/python1.5/UserList.py
%attr(-,root,root) /usr/lib/python1.5/UserList.pyc
%attr(-,root,root) /usr/lib/python1.5/UserList.pyo
%attr(-,root,root) /usr/lib/python1.5/aifc.py
%attr(-,root,root) /usr/lib/python1.5/aifc.pyc
%attr(-,root,root) /usr/lib/python1.5/aifc.pyo
%attr(-,root,root) /usr/lib/python1.5/anydbm.py
%attr(-,root,root) /usr/lib/python1.5/anydbm.pyc
%attr(-,root,root) /usr/lib/python1.5/anydbm.pyo
%attr(-,root,root) /usr/lib/python1.5/audiodev.py
%attr(-,root,root) /usr/lib/python1.5/audiodev.pyc
%attr(-,root,root) /usr/lib/python1.5/audiodev.pyo
%attr(-,root,root) /usr/lib/python1.5/base64.py
%attr(-,root,root) /usr/lib/python1.5/base64.pyc
%attr(-,root,root) /usr/lib/python1.5/base64.pyo
%attr(-,root,root) /usr/lib/python1.5/bdb.py
%attr(-,root,root) /usr/lib/python1.5/bdb.pyc
%attr(-,root,root) /usr/lib/python1.5/bdb.pyo
%attr(-,root,root) /usr/lib/python1.5/binhex.py
%attr(-,root,root) /usr/lib/python1.5/binhex.pyc
%attr(-,root,root) /usr/lib/python1.5/binhex.pyo
%attr(-,root,root) /usr/lib/python1.5/bisect.py
%attr(-,root,root) /usr/lib/python1.5/bisect.pyc
%attr(-,root,root) /usr/lib/python1.5/bisect.pyo
%attr(-,root,root) /usr/lib/python1.5/calendar.py
%attr(-,root,root) /usr/lib/python1.5/calendar.pyc
%attr(-,root,root) /usr/lib/python1.5/calendar.pyo
%attr(-,root,root) /usr/lib/python1.5/cgi.py
%attr(-,root,root) /usr/lib/python1.5/cgi.pyc
%attr(-,root,root) /usr/lib/python1.5/cgi.pyo
%attr(-,root,root) /usr/lib/python1.5/cmd.py
%attr(-,root,root) /usr/lib/python1.5/cmd.pyc
%attr(-,root,root) /usr/lib/python1.5/cmd.pyo
%attr(-,root,root) /usr/lib/python1.5/cmp.py
%attr(-,root,root) /usr/lib/python1.5/cmp.pyc
%attr(-,root,root) /usr/lib/python1.5/cmp.pyo
%attr(-,root,root) /usr/lib/python1.5/cmpcache.py
%attr(-,root,root) /usr/lib/python1.5/cmpcache.pyc
%attr(-,root,root) /usr/lib/python1.5/cmpcache.pyo
%attr(-,root,root) /usr/lib/python1.5/code.py
%attr(-,root,root) /usr/lib/python1.5/code.pyc
%attr(-,root,root) /usr/lib/python1.5/code.pyo
%attr(-,root,root) /usr/lib/python1.5/colorsys.py
%attr(-,root,root) /usr/lib/python1.5/colorsys.pyc
%attr(-,root,root) /usr/lib/python1.5/colorsys.pyo
%attr(-,root,root) /usr/lib/python1.5/commands.py
%attr(-,root,root) /usr/lib/python1.5/commands.pyc
%attr(-,root,root) /usr/lib/python1.5/commands.pyo
%attr(-,root,root) /usr/lib/python1.5/compileall.py
%attr(-,root,root) /usr/lib/python1.5/compileall.pyc
%attr(-,root,root) /usr/lib/python1.5/compileall.pyo
%attr(-,root,root) /usr/lib/python1.5/copy.py
%attr(-,root,root) /usr/lib/python1.5/copy.pyc
%attr(-,root,root) /usr/lib/python1.5/copy.pyo
%attr(-,root,root) /usr/lib/python1.5/copy_reg.py
%attr(-,root,root) /usr/lib/python1.5/copy_reg.pyc
%attr(-,root,root) /usr/lib/python1.5/copy_reg.pyo
%attr(-,root,root) /usr/lib/python1.5/dbhash.py
%attr(-,root,root) /usr/lib/python1.5/dbhash.pyc
%attr(-,root,root) /usr/lib/python1.5/dbhash.pyo
%attr(-,root,root) /usr/lib/python1.5/dircache.py
%attr(-,root,root) /usr/lib/python1.5/dircache.pyc
%attr(-,root,root) /usr/lib/python1.5/dircache.pyo
%attr(-,root,root) /usr/lib/python1.5/dircmp.py
%attr(-,root,root) /usr/lib/python1.5/dircmp.pyc
%attr(-,root,root) /usr/lib/python1.5/dircmp.pyo
%attr(-,root,root) /usr/lib/python1.5/dis.py
%attr(-,root,root) /usr/lib/python1.5/dis.pyc
%attr(-,root,root) /usr/lib/python1.5/dis.pyo
%attr(-,root,root) /usr/lib/python1.5/dospath.py
%attr(-,root,root) /usr/lib/python1.5/dospath.pyc
%attr(-,root,root) /usr/lib/python1.5/dospath.pyo
%attr(-,root,root) /usr/lib/python1.5/dumbdbm.py
%attr(-,root,root) /usr/lib/python1.5/dumbdbm.pyc
%attr(-,root,root) /usr/lib/python1.5/dumbdbm.pyo
%attr(-,root,root) /usr/lib/python1.5/dump.py
%attr(-,root,root) /usr/lib/python1.5/dump.pyc
%attr(-,root,root) /usr/lib/python1.5/dump.pyo
%attr(-,root,root) /usr/lib/python1.5/exceptions.py
%attr(-,root,root) /usr/lib/python1.5/exceptions.pyc
%attr(-,root,root) /usr/lib/python1.5/exceptions.pyo
%attr(-,root,root) /usr/lib/python1.5/fileinput.py
%attr(-,root,root) /usr/lib/python1.5/fileinput.pyc
%attr(-,root,root) /usr/lib/python1.5/fileinput.pyo
%attr(-,root,root) /usr/lib/python1.5/find.py
%attr(-,root,root) /usr/lib/python1.5/find.pyc
%attr(-,root,root) /usr/lib/python1.5/find.pyo
%attr(-,root,root) /usr/lib/python1.5/fnmatch.py
%attr(-,root,root) /usr/lib/python1.5/fnmatch.pyc
%attr(-,root,root) /usr/lib/python1.5/fnmatch.pyo
%attr(-,root,root) /usr/lib/python1.5/formatter.py
%attr(-,root,root) /usr/lib/python1.5/formatter.pyc
%attr(-,root,root) /usr/lib/python1.5/formatter.pyo
%attr(-,root,root) /usr/lib/python1.5/fpformat.py
%attr(-,root,root) /usr/lib/python1.5/fpformat.pyc
%attr(-,root,root) /usr/lib/python1.5/fpformat.pyo
%attr(-,root,root) /usr/lib/python1.5/ftplib.py
%attr(-,root,root) /usr/lib/python1.5/ftplib.pyc
%attr(-,root,root) /usr/lib/python1.5/ftplib.pyo
%attr(-,root,root) /usr/lib/python1.5/getopt.py
%attr(-,root,root) /usr/lib/python1.5/getopt.pyc
%attr(-,root,root) /usr/lib/python1.5/getopt.pyo
%attr(-,root,root) /usr/lib/python1.5/getpass.py
%attr(-,root,root) /usr/lib/python1.5/getpass.pyc
%attr(-,root,root) /usr/lib/python1.5/getpass.pyo
%attr(-,root,root) /usr/lib/python1.5/glob.py
%attr(-,root,root) /usr/lib/python1.5/glob.pyc
%attr(-,root,root) /usr/lib/python1.5/glob.pyo
%attr(-,root,root) /usr/lib/python1.5/gopherlib.py
%attr(-,root,root) /usr/lib/python1.5/gopherlib.pyc
%attr(-,root,root) /usr/lib/python1.5/gopherlib.pyo
%attr(-,root,root) /usr/lib/python1.5/grep.py
%attr(-,root,root) /usr/lib/python1.5/grep.pyc
%attr(-,root,root) /usr/lib/python1.5/grep.pyo
%attr(-,root,root) /usr/lib/python1.5/gzip.py
%attr(-,root,root) /usr/lib/python1.5/gzip.pyc
%attr(-,root,root) /usr/lib/python1.5/gzip.pyo
%attr(-,root,root) /usr/lib/python1.5/htmlentitydefs.py
%attr(-,root,root) /usr/lib/python1.5/htmlentitydefs.pyc
%attr(-,root,root) /usr/lib/python1.5/htmlentitydefs.pyo
%attr(-,root,root) /usr/lib/python1.5/htmllib.py
%attr(-,root,root) /usr/lib/python1.5/htmllib.pyc
%attr(-,root,root) /usr/lib/python1.5/htmllib.pyo
%attr(-,root,root) /usr/lib/python1.5/httplib.py
%attr(-,root,root) /usr/lib/python1.5/httplib.pyc
%attr(-,root,root) /usr/lib/python1.5/httplib.pyo
%attr(-,root,root) /usr/lib/python1.5/ihooks.py
%attr(-,root,root) /usr/lib/python1.5/ihooks.pyc
%attr(-,root,root) /usr/lib/python1.5/ihooks.pyo
%attr(-,root,root) /usr/lib/python1.5/imaplib.py
%attr(-,root,root) /usr/lib/python1.5/imaplib.pyc
%attr(-,root,root) /usr/lib/python1.5/imaplib.pyo
%attr(-,root,root) /usr/lib/python1.5/imghdr.py
%attr(-,root,root) /usr/lib/python1.5/imghdr.pyc
%attr(-,root,root) /usr/lib/python1.5/imghdr.pyo
%attr(-,root,root) /usr/lib/python1.5/keyword.py
%attr(-,root,root) /usr/lib/python1.5/keyword.pyc
%attr(-,root,root) /usr/lib/python1.5/keyword.pyo
%attr(-,root,root) /usr/lib/python1.5/knee.py
%attr(-,root,root) /usr/lib/python1.5/knee.pyc
%attr(-,root,root) /usr/lib/python1.5/knee.pyo
%attr(-,root,root) /usr/lib/python1.5/linecache.py
%attr(-,root,root) /usr/lib/python1.5/linecache.pyc
%attr(-,root,root) /usr/lib/python1.5/linecache.pyo
%attr(-,root,root) /usr/lib/python1.5/locale.py
%attr(-,root,root) /usr/lib/python1.5/locale.pyc
%attr(-,root,root) /usr/lib/python1.5/locale.pyo
%attr(-,root,root) /usr/lib/python1.5/macpath.py
%attr(-,root,root) /usr/lib/python1.5/macpath.pyc
%attr(-,root,root) /usr/lib/python1.5/macpath.pyo
%attr(-,root,root) /usr/lib/python1.5/macurl2path.py
%attr(-,root,root) /usr/lib/python1.5/macurl2path.pyc
%attr(-,root,root) /usr/lib/python1.5/macurl2path.pyo
%attr(-,root,root) /usr/lib/python1.5/mailbox.py
%attr(-,root,root) /usr/lib/python1.5/mailbox.pyc
%attr(-,root,root) /usr/lib/python1.5/mailbox.pyo
%attr(-,root,root) /usr/lib/python1.5/mailcap.py
%attr(-,root,root) /usr/lib/python1.5/mailcap.pyc
%attr(-,root,root) /usr/lib/python1.5/mailcap.pyo
%attr(-,root,root) /usr/lib/python1.5/mhlib.py
%attr(-,root,root) /usr/lib/python1.5/mhlib.pyc
%attr(-,root,root) /usr/lib/python1.5/mhlib.pyo
%attr(-,root,root) /usr/lib/python1.5/mimetools.py
%attr(-,root,root) /usr/lib/python1.5/mimetools.pyc
%attr(-,root,root) /usr/lib/python1.5/mimetools.pyo
%attr(-,root,root) /usr/lib/python1.5/mimetypes.py
%attr(-,root,root) /usr/lib/python1.5/mimetypes.pyc
%attr(-,root,root) /usr/lib/python1.5/mimetypes.pyo
%attr(-,root,root) /usr/lib/python1.5/mimify.py
%attr(-,root,root) /usr/lib/python1.5/mimify.pyc
%attr(-,root,root) /usr/lib/python1.5/mimify.pyo
%attr(-,root,root) /usr/lib/python1.5/multifile.py
%attr(-,root,root) /usr/lib/python1.5/multifile.pyc
%attr(-,root,root) /usr/lib/python1.5/multifile.pyo
%attr(-,root,root) /usr/lib/python1.5/mutex.py
%attr(-,root,root) /usr/lib/python1.5/mutex.pyc
%attr(-,root,root) /usr/lib/python1.5/mutex.pyo
%attr(-,root,root) /usr/lib/python1.5/nntplib.py
%attr(-,root,root) /usr/lib/python1.5/nntplib.pyc
%attr(-,root,root) /usr/lib/python1.5/nntplib.pyo
%attr(-,root,root) /usr/lib/python1.5/ntpath.py
%attr(-,root,root) /usr/lib/python1.5/ntpath.pyc
%attr(-,root,root) /usr/lib/python1.5/ntpath.pyo
%attr(-,root,root) /usr/lib/python1.5/nturl2path.py
%attr(-,root,root) /usr/lib/python1.5/nturl2path.pyc
%attr(-,root,root) /usr/lib/python1.5/nturl2path.pyo
%attr(-,root,root) /usr/lib/python1.5/os.py
%attr(-,root,root) /usr/lib/python1.5/os.pyc
%attr(-,root,root) /usr/lib/python1.5/os.pyo
%attr(-,root,root) /usr/lib/python1.5/packmail.py
%attr(-,root,root) /usr/lib/python1.5/packmail.pyc
%attr(-,root,root) /usr/lib/python1.5/packmail.pyo
%attr(-,root,root) /usr/lib/python1.5/pdb.doc
%attr(-,root,root) /usr/lib/python1.5/pdb.py
%attr(-,root,root) /usr/lib/python1.5/pdb.pyc
%attr(-,root,root) /usr/lib/python1.5/pdb.pyo
%attr(-,root,root) /usr/lib/python1.5/pickle.py
%attr(-,root,root) /usr/lib/python1.5/pickle.pyc
%attr(-,root,root) /usr/lib/python1.5/pickle.pyo
%attr(-,root,root) /usr/lib/python1.5/pipes.py
%attr(-,root,root) /usr/lib/python1.5/pipes.pyc
%attr(-,root,root) /usr/lib/python1.5/pipes.pyo
%attr(-,root,root) /usr/lib/python1.5/poly.py
%attr(-,root,root) /usr/lib/python1.5/poly.pyc
%attr(-,root,root) /usr/lib/python1.5/poly.pyo
%attr(-,root,root) /usr/lib/python1.5/popen2.py
%attr(-,root,root) /usr/lib/python1.5/popen2.pyc
%attr(-,root,root) /usr/lib/python1.5/popen2.pyo
%attr(-,root,root) /usr/lib/python1.5/poplib.py
%attr(-,root,root) /usr/lib/python1.5/poplib.pyc
%attr(-,root,root) /usr/lib/python1.5/poplib.pyo
%attr(-,root,root) /usr/lib/python1.5/posixfile.py
%attr(-,root,root) /usr/lib/python1.5/posixfile.pyc
%attr(-,root,root) /usr/lib/python1.5/posixfile.pyo
%attr(-,root,root) /usr/lib/python1.5/posixpath.py
%attr(-,root,root) /usr/lib/python1.5/posixpath.pyc
%attr(-,root,root) /usr/lib/python1.5/posixpath.pyo
%attr(-,root,root) /usr/lib/python1.5/pprint.py
%attr(-,root,root) /usr/lib/python1.5/pprint.pyc
%attr(-,root,root) /usr/lib/python1.5/pprint.pyo
%attr(-,root,root) /usr/lib/python1.5/profile.doc
%attr(-,root,root) /usr/lib/python1.5/profile.py
%attr(-,root,root) /usr/lib/python1.5/profile.pyc
%attr(-,root,root) /usr/lib/python1.5/profile.pyo
%attr(-,root,root) /usr/lib/python1.5/pstats.py
%attr(-,root,root) /usr/lib/python1.5/pstats.pyc
%attr(-,root,root) /usr/lib/python1.5/pstats.pyo
%attr(-,root,root) /usr/lib/python1.5/pty.py
%attr(-,root,root) /usr/lib/python1.5/pty.pyc
%attr(-,root,root) /usr/lib/python1.5/pty.pyo
%attr(-,root,root) /usr/lib/python1.5/py_compile.py
%attr(-,root,root) /usr/lib/python1.5/py_compile.pyc
%attr(-,root,root) /usr/lib/python1.5/py_compile.pyo
%attr(-,root,root) /usr/lib/python1.5/pyclbr.py
%attr(-,root,root) /usr/lib/python1.5/pyclbr.pyc
%attr(-,root,root) /usr/lib/python1.5/pyclbr.pyo
%attr(-,root,root) /usr/lib/python1.5/quopri.py
%attr(-,root,root) /usr/lib/python1.5/quopri.pyc
%attr(-,root,root) /usr/lib/python1.5/quopri.pyo
%attr(-,root,root) /usr/lib/python1.5/random.py
%attr(-,root,root) /usr/lib/python1.5/random.pyc
%attr(-,root,root) /usr/lib/python1.5/random.pyo
%attr(-,root,root) /usr/lib/python1.5/re.py
%attr(-,root,root) /usr/lib/python1.5/re.pyc
%attr(-,root,root) /usr/lib/python1.5/re.pyo
%attr(-,root,root) /usr/lib/python1.5/reconvert.py
%attr(-,root,root) /usr/lib/python1.5/reconvert.pyc
%attr(-,root,root) /usr/lib/python1.5/reconvert.pyo
%attr(-,root,root) /usr/lib/python1.5/regex_syntax.py
%attr(-,root,root) /usr/lib/python1.5/regex_syntax.pyc
%attr(-,root,root) /usr/lib/python1.5/regex_syntax.pyo
%attr(-,root,root) /usr/lib/python1.5/regsub.py
%attr(-,root,root) /usr/lib/python1.5/regsub.pyc
%attr(-,root,root) /usr/lib/python1.5/regsub.pyo
%attr(-,root,root) /usr/lib/python1.5/repr.py
%attr(-,root,root) /usr/lib/python1.5/repr.pyc
%attr(-,root,root) /usr/lib/python1.5/repr.pyo
%attr(-,root,root) /usr/lib/python1.5/rexec.py
%attr(-,root,root) /usr/lib/python1.5/rexec.pyc
%attr(-,root,root) /usr/lib/python1.5/rexec.pyo
%attr(-,root,root) /usr/lib/python1.5/rfc822.py
%attr(-,root,root) /usr/lib/python1.5/rfc822.pyc
%attr(-,root,root) /usr/lib/python1.5/rfc822.pyo
%attr(-,root,root) /usr/lib/python1.5/rlcompleter.py
%attr(-,root,root) /usr/lib/python1.5/rlcompleter.pyc
%attr(-,root,root) /usr/lib/python1.5/rlcompleter.pyo
%attr(-,root,root) /usr/lib/python1.5/sched.py
%attr(-,root,root) /usr/lib/python1.5/sched.pyc
%attr(-,root,root) /usr/lib/python1.5/sched.pyo
%attr(-,root,root) /usr/lib/python1.5/sgmllib.py
%attr(-,root,root) /usr/lib/python1.5/sgmllib.pyc
%attr(-,root,root) /usr/lib/python1.5/sgmllib.pyo
%attr(-,root,root) /usr/lib/python1.5/shelve.py
%attr(-,root,root) /usr/lib/python1.5/shelve.pyc
%attr(-,root,root) /usr/lib/python1.5/shelve.pyo
%attr(-,root,root) /usr/lib/python1.5/shutil.py
%attr(-,root,root) /usr/lib/python1.5/shutil.pyc
%attr(-,root,root) /usr/lib/python1.5/shutil.pyo
%attr(-,root,root) /usr/lib/python1.5/site.py
%attr(-,root,root) /usr/lib/python1.5/site.pyc
%attr(-,root,root) /usr/lib/python1.5/site.pyo
%attr(-,root,root) /usr/lib/python1.5/smtplib.py
%attr(-,root,root) /usr/lib/python1.5/smtplib.pyc
%attr(-,root,root) /usr/lib/python1.5/smtplib.pyo
%attr(-,root,root) /usr/lib/python1.5/sndhdr.py
%attr(-,root,root) /usr/lib/python1.5/sndhdr.pyc
%attr(-,root,root) /usr/lib/python1.5/sndhdr.pyo
%attr(-,root,root) /usr/lib/python1.5/stat.py
%attr(-,root,root) /usr/lib/python1.5/stat.pyc
%attr(-,root,root) /usr/lib/python1.5/stat.pyo
%attr(-,root,root) /usr/lib/python1.5/statcache.py
%attr(-,root,root) /usr/lib/python1.5/statcache.pyc
%attr(-,root,root) /usr/lib/python1.5/statcache.pyo
%attr(-,root,root) /usr/lib/python1.5/string.py
%attr(-,root,root) /usr/lib/python1.5/string.pyc
%attr(-,root,root) /usr/lib/python1.5/string.pyo
%attr(-,root,root) /usr/lib/python1.5/sunau.py
%attr(-,root,root) /usr/lib/python1.5/sunau.pyc
%attr(-,root,root) /usr/lib/python1.5/sunau.pyo
%attr(-,root,root) /usr/lib/python1.5/sunaudio.py
%attr(-,root,root) /usr/lib/python1.5/sunaudio.pyc
%attr(-,root,root) /usr/lib/python1.5/sunaudio.pyo
%attr(-,root,root) /usr/lib/python1.5/symbol.py
%attr(-,root,root) /usr/lib/python1.5/symbol.pyc
%attr(-,root,root) /usr/lib/python1.5/symbol.pyo
%attr(-,root,root) /usr/lib/python1.5/telnetlib.py
%attr(-,root,root) /usr/lib/python1.5/telnetlib.pyc
%attr(-,root,root) /usr/lib/python1.5/telnetlib.pyo
%attr(-,root,root) /usr/lib/python1.5/tempfile.py
%attr(-,root,root) /usr/lib/python1.5/tempfile.pyc
%attr(-,root,root) /usr/lib/python1.5/tempfile.pyo
%attr(-,root,root) /usr/lib/python1.5/threading.py
%attr(-,root,root) /usr/lib/python1.5/threading.pyc
%attr(-,root,root) /usr/lib/python1.5/threading.pyo
%attr(-,root,root) /usr/lib/python1.5/threading_api.py
%attr(-,root,root) /usr/lib/python1.5/threading_api.pyc
%attr(-,root,root) /usr/lib/python1.5/threading_api.pyo
%attr(-,root,root) /usr/lib/python1.5/toaiff.py
%attr(-,root,root) /usr/lib/python1.5/toaiff.pyc
%attr(-,root,root) /usr/lib/python1.5/toaiff.pyo
%attr(-,root,root) /usr/lib/python1.5/token.py
%attr(-,root,root) /usr/lib/python1.5/token.pyc
%attr(-,root,root) /usr/lib/python1.5/token.pyo
%attr(-,root,root) /usr/lib/python1.5/tokenize.py
%attr(-,root,root) /usr/lib/python1.5/tokenize.pyc
%attr(-,root,root) /usr/lib/python1.5/tokenize.pyo
%attr(-,root,root) /usr/lib/python1.5/traceback.py
%attr(-,root,root) /usr/lib/python1.5/traceback.pyc
%attr(-,root,root) /usr/lib/python1.5/traceback.pyo
%attr(-,root,root) /usr/lib/python1.5/tty.py
%attr(-,root,root) /usr/lib/python1.5/tty.pyc
%attr(-,root,root) /usr/lib/python1.5/tty.pyo
%attr(-,root,root) /usr/lib/python1.5/types.py
%attr(-,root,root) /usr/lib/python1.5/types.pyc
%attr(-,root,root) /usr/lib/python1.5/types.pyo
%attr(-,root,root) /usr/lib/python1.5/tzparse.py
%attr(-,root,root) /usr/lib/python1.5/tzparse.pyc
%attr(-,root,root) /usr/lib/python1.5/tzparse.pyo
%attr(-,root,root) /usr/lib/python1.5/urllib.py
%attr(-,root,root) /usr/lib/python1.5/urllib.pyc
%attr(-,root,root) /usr/lib/python1.5/urllib.pyo
%attr(-,root,root) /usr/lib/python1.5/urlparse.py
%attr(-,root,root) /usr/lib/python1.5/urlparse.pyc
%attr(-,root,root) /usr/lib/python1.5/urlparse.pyo
%attr(-,root,root) /usr/lib/python1.5/user.py
%attr(-,root,root) /usr/lib/python1.5/user.pyc
%attr(-,root,root) /usr/lib/python1.5/user.pyo
%attr(-,root,root) /usr/lib/python1.5/util.py
%attr(-,root,root) /usr/lib/python1.5/util.pyc
%attr(-,root,root) /usr/lib/python1.5/util.pyo
%attr(-,root,root) /usr/lib/python1.5/uu.py
%attr(-,root,root) /usr/lib/python1.5/uu.pyc
%attr(-,root,root) /usr/lib/python1.5/uu.pyo
%attr(-,root,root) /usr/lib/python1.5/wave.py
%attr(-,root,root) /usr/lib/python1.5/wave.pyc
%attr(-,root,root) /usr/lib/python1.5/wave.pyo
%attr(-,root,root) /usr/lib/python1.5/whatsound.py
%attr(-,root,root) /usr/lib/python1.5/whatsound.pyc
%attr(-,root,root) /usr/lib/python1.5/whatsound.pyo
%attr(-,root,root) /usr/lib/python1.5/whichdb.py
%attr(-,root,root) /usr/lib/python1.5/whichdb.pyc
%attr(-,root,root) /usr/lib/python1.5/whichdb.pyo
%attr(-,root,root) /usr/lib/python1.5/whrandom.py
%attr(-,root,root) /usr/lib/python1.5/whrandom.pyc
%attr(-,root,root) /usr/lib/python1.5/whrandom.pyo
%attr(-,root,root) /usr/lib/python1.5/xdrlib.py
%attr(-,root,root) /usr/lib/python1.5/xdrlib.pyc
%attr(-,root,root) /usr/lib/python1.5/xdrlib.pyo
%attr(-,root,root) /usr/lib/python1.5/xmllib.py
%attr(-,root,root) /usr/lib/python1.5/xmllib.pyc
%attr(-,root,root) /usr/lib/python1.5/xmllib.pyo
%attr(-,root,root) /usr/lib/python1.5/zmod.py
%attr(-,root,root) /usr/lib/python1.5/zmod.pyc
%attr(-,root,root) /usr/lib/python1.5/zmod.pyo

%ifarch i386
%attr(-,root,root) /usr/lib/python1.5/plat-linux-i386
%endif
%ifarch alpha
%attr(-,root,root) /usr/lib/python1.5/plat-linux-alpha
%endif
%ifarch sparc
%attr(-,root,root) /usr/lib/python1.5/plat-linux-sparc
%endif

%files extralibs
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/nismodule.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/termios.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/resource.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/audioop.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/imageop.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/rgbimgmodule.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/timingmodule.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/syslogmodule.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/cursesmodule.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/newmodule.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/gdbmmodule.so
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/zlibmodule.so

%files devel
%attr(-,root,root) /usr/lib/python1.5/test
%attr(-,root,root) /usr/lib/python1.5/config
%attr(-,root,root) /usr/include/python1.5

%files stdwin
%attr(-,root,root) /usr/lib/python1.5/lib-stdwin

%files -n tkinter
%attr(-,root,root) /usr/lib/python1.5/lib-tk
%attr(-,root,root) /usr/lib/python1.5/lib-dynload/_tkinter.so
